import static org.junit.Assert.assertEquals;

import java.io.File;
import java.io.IOException;

import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.ss.usermodel.DataValidation;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.Test;

public class ErrorStyleTest{
	/**
	 *
	 */
	@Test
	public void testDefaultErrorStyle(){
		File inputFile = new File("Example.xlsx"); //TODO edit path
		try(XSSFWorkbook wb = new XSSFWorkbook(OPCPackage.open(inputFile))){
			this.testDefaultErrorStyle(wb);
		} catch(InvalidFormatException e){
			e.printStackTrace();
		} catch(IOException e){
			e.printStackTrace();
		}
	}

	private void testDefaultErrorStyle(XSSFWorkbook wb){
		XSSFSheet sheet = wb.getSheetAt(0);
		int errorStyle = sheet.getDataValidations().get(0).getErrorStyle();
		// should be STOP but currently is WARNING
		// note: by default excel does not include the errorType attribute in the xml files if the errortype equals STOP
		// so it seems that the default value for this attribute is wrong
		assertEquals(DataValidation.ErrorStyle.STOP, errorStyle);
	}
}
